Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ddm.impl
Class DatabaseImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.ddm.impl.DatabaseImpl

All Implemented Interfaces:
  Database

    public class DatabaseImpl

extends Object
implements Database

Constructor Summary
`DatabaseImpl(String jdbcDriverName, String serverName, String databaseName, int portNumber)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getDatabaseName()`
`String` | `getJDBCDriverName()`
`int` | `getPortNumber()`
`String` | `getServerName()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseImpl

    public DatabaseImpl(String jdbcDriverName,
                        String serverName,
                        String databaseName,
                        int portNumber)

Method Detail

### getJDBCDriverName

    public String getJDBCDriverName()

  Specified by:
    `getJDBCDriverName` in interface `Database`

### getServerName

    public String getServerName()

  Specified by:
    `getServerName` in interface `Database`

### getDatabaseName

    public String getDatabaseName()

  Specified by:
    `getDatabaseName` in interface `Database`

### getPortNumber

    public int getPortNumber()

  Specified by:
    `getPortNumber` in interface `Database`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.